Get tax profile
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Tax_Profile",
"tax_country_code": "US",
"us_configuration": {
"federal": {
"annual_w2_income": 123,
"tip_income": 123,
"overtime_income": 123,
"withholding": {
"use_custom_withholding": true,
"amount": 123
}
},
"state": {
"tax_state": "CA",
"num_exemptions": 123,
"withholding": {
"use_custom_withholding": true,
"amount": 123
}
},
"deductions": {
"home_office": {
"use_home_office_deduction": true,
"home_office_area": 123
},
"vehicle": {
"use_mileage_deduction": false,
"vehicle_business_percent": 123,
"mileage": {
"use_user_estimated_business_mileage": true,
"user_estimated_business_mileage": 123
}
}
},
"business_estimates": {
"expenses": {
"use_user_estimated_business_expenses": true,
"user_estimated_business_expenses": 123
},
"revenue": {
"use_user_estimated_business_revenue": true,
"user_estimated_business_revenue": 123
}
}
},
"ca_configuration": {},
"user_has_saved_tax_profile": true
}
}{
"description": "<string>",
"meta": {}
}Tax Estimates
Get tax profile
Returns the current tax profile configuration. Does NOT create or modify data.
GET
/
v1
/
businesses
/
{businessId}
/
tax-estimates
/
profile
Get tax profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Response
Tax profile for the business.
Tax profile configuration for a business.
Show child attributes
Show child attributes
⌘I